ID CVE-2017-13210
Summary In CameraDeviceClient::submitRequestList of CameraDeviceClient.cpp, there is an out-of-bounds write if metadataSize is too small. This could lead to a local elevation of privilege enabling code execution as a privileged process with no additional execution privileges needed. User interaction is not needed for exploitation. Product: Android. Versions: 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1. Android ID: A-67782345.
References
Vulnerable Configurations
  • Google Android 5.1.1
    cpe:2.3:o:google:android:5.1.1
  • Google Android 6.0
    cpe:2.3:o:google:android:6.0
  • Google Android 6.0.1
    cpe:2.3:o:google:android:6.0.1
  • Google Android (Nougat) 7.0
    cpe:2.3:o:google:android:7.0
  • Google Android 7.1.1
    cpe:2.3:o:google:android:7.1.1
  • Google Android 7.1.2
    cpe:2.3:o:google:android:7.1.2
  • Google Android 8.0
    cpe:2.3:o:google:android:8.0
  • cpe:2.3:o:google:android:8.1
    cpe:2.3:o:google:android:8.1
CVSS
Base: 7.2
Impact:
Exploitability:
CWE CWE-787
CAPEC
refmap via4
bid 102415
confirm https://source.android.com/security/bulletin/2018-01-01
sectrack 1040106
Last major update 12-01-2018 - 18:29
Published 12-01-2018 - 18:29
Last modified 30-01-2018 - 14:34
Back to Top